ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
change_history_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| get_button_template (&$BlockSettings)
| compile_history_button (&$BlockSettings)

## Data Fields
| $MacroParameters = false
| $CachedMultyFS = false
| $ChangeHistoryView = false
| $PageComposer = false
| $String = false

## Detailed Description

Class provides records change history manupulation routine.

Author
  Dodonov A.A.

Definition at line 26 of file change_history_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 58 of file change_history_markup.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->ChangeHistoryView = get_package(
'database::change_history::change_history_view' , 'last' , __FILE__
);
$this->PageComposer = get_package( 'page::page_composer' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_history_button | ( | & | $BlockSettings | ) |

Function compiles history.

Parameters

  $BlockSettings | - Parameters.

Returns
  Compiled history.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 138 of file change_history_markup.php.

{
try
{
$id = $BlockSettings->get_setting( 'id' );
$ObjectType = $BlockSettings->get_setting( 'object_type' );
$Code = $this->ChangeHistoryView->get_changes_grid( $id , $ObjectType );
$Code = $this->get_button_template( $BlockSettings ).$Code;
$Code = str_replace( '{id}' , $id , $Code );
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

get_button_template | ( | & | $BlockSettings | ) |

Function processes macro 'history_button'.

Parameters

  $BlockSettings | - Macro parameters.

Returns
  Button template.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 97 of file change_history_markup.php.

{
try
{
switch( $BlockSettings->get_setting( 'type' , '' ) )
{
case( 'href' ):$FileName = 'href_history_button.tpl';break;
default:$FileName = 'image_history_button_48.tpl';break;
}
return( $this->CachedMultyFS->get_template( __FILE__ , $FileName ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Definition at line 39 of file change_history_markup.php.

$ChangeHistoryView = false

Definition at line 40 of file change_history_markup.php.

$MacroParameters = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file change_history_markup.php.

$PageComposer = false

Definition at line 41 of file change_history_markup.php.

$String = false

Definition at line 42 of file change_history_markup.php.

The documentation for this class was generated from the following file:

- packages/database/packages/change_history/packages/change_history_markup/change_history_markup.php